Subject: Re: [PATCH 5/10] [NET]: Avoid unnecessary cloning for ingress filtering

From: jamal <[email-masked]>
Date: Sun, 14 Oct 2007 06:49:51 -0400

On Sun, 2007-14-10 at 12:27 +0800, Herbert Xu wrote:
> [NET]: Avoid unnecessary cloning for ingress filtering
> 
> As it is we always invoke pt_prev before ing_filter, even if there are no
> ingress filters attached.  This can cause unnecessary cloning in pt_prev.
> 
> This patch changes it so that we only invoke pt_prev if there are ingress
> filters attached.
> 

ACK from here this as well as for patch 10/10. Once this patchset makes
it into net-2.6.24 i can do testing on my laptop and provide you any
further feedback. Transiting, so I may loose connectivity RSN but
overall GoodStuff.

cheers,
jamal